Update function
curl --request PUT \
--url https://api.example.com/api/functions/{slug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.example.com/api/functions/{slug}"
payload = {
"name": "<string>",
"code": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', code: '<string>', description: '<string>'})
};
fetch('https://api.example.com/api/functions/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"function": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"slug": "hello-world",
"name": "Hello World Function v2",
"description": "Returns a greeting message",
"status": "active",
"updated_at": "2024-01-21T11:00:00Z"
}
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"pattern": "<string>"
}{
"error": "Function not found"
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"pattern": "<string>"
}Admin
Update function
Update an existing function’s code or metadata
PUT
/
api
/
functions
/
{slug}
Update function
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Function slug identifier
Pattern:
^[a-zA-Z0-9_-]+$Body
application/json
⌘I